
From: David Howells <dhowells@redhat.com>

Here's a patch to make a couple of cleanups to the key management stuff.

Signed-Off-By: David Howells <dhowells@redhat.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/include/linux/key.h |    2 --
 25-akpm/security/keys/key.c |    1 -
 2 files changed, 3 deletions(-)

diff -puN include/linux/key.h~key-management-patch-cleanup include/linux/key.h
--- 25/include/linux/key.h~key-management-patch-cleanup	2004-08-21 13:25:07.776103888 -0700
+++ 25-akpm/include/linux/key.h	2004-08-21 13:25:07.781103128 -0700
@@ -265,8 +265,6 @@ asmlinkage long sys_keyctl(int option, u
 #define exit_keys(t)			do { } while(0)
 #define suid_keys(t)			do { } while(0)
 #define exec_keys(t)			do { } while(0)
-#define key_euid_changed(t)		do { } while(0)
-#define key_egid_changed(t)		do { } while(0)
 #define key_fsuid_changed(t)		do { } while(0)
 #define key_fsgid_changed(t)		do { } while(0)
 #define get_process_keyring_ID(s,c)	(-EINVAL)
diff -puN security/keys/key.c~key-management-patch-cleanup security/keys/key.c
--- 25/security/keys/key.c~key-management-patch-cleanup	2004-08-21 13:25:07.777103736 -0700
+++ 25-akpm/security/keys/key.c	2004-08-21 13:25:07.782102976 -0700
@@ -13,7 +13,6 @@
 #include <linux/init.h>
 #include <linux/sched.h>
 #include <linux/slab.h>
-//#include <linux/seq_file.h>
 #include <linux/workqueue.h>
 #include <linux/err.h>
 #include "internal.h"
_
